# CSC 111, Day 17
# Author: Sara Mathison and CSC 111 class (11am section)
# A program to print the hashtags from several tweets


# selected tweets from President McCartney
tweet1 = "Great to see Northampton's growth and @MayorNarkewicz's leadership recognized! #ProudNeighbors"
tweet2 = "SGA, future leaders of the world, working hard for Smithies today @smithcollege #SmithiesLead"
tweet3 = "Gluten-free birthday lunch at Dawes. Thanks to Lisa and Raj, chefs extraordinaire @smithcollege #Yummy #GF"
tweet4 = "Northamptones and Smith Notables sing Halo together to warm up at Silver Chord Bowl #HampArts"
tweet5 = "Shout out to January '17 grads @smithcollege #WomenForTheWorld #TheyAreReady #SmithiesLead hello" # added a hello here


# function that prints the hashtags of a tweet (one on each line)
def get_hashtag(tweet):

    i = tweet.index("#") # get the index of the first #

    # I want to slice the string so I get the part after (and including) the first #
    hashtag_str = tweet[i:] # get back a substring

    # split takes in a string and produces a list (same information)
    hashtag_lst = hashtag_str.split() 
    for hashtag in hashtag_lst: # "in" keyword
        if "#" in hashtag:  # <value> in <sequence> ?
            print(hashtag[1:])
        else:
            print(hashtag,"is not a hashtag")


# test on a variety of tweets
def main():
    get_hashtag(tweet1)
    get_hashtag(tweet2)
    get_hashtag(tweet3)
    get_hashtag(tweet4)
    get_hashtag(tweet5)


main()
